/*
	Programa: xadrez.exe
    Descrio: header da biblioteca xeque, onde encontram-se as declaraes de funes, defines e informaes da bilioteca.
    Programador: Eduardo Prates Albuquerque
    RGM: 21500
    Data da ltima modificao: 21/09/2016
*/


#ifndef _XEQUE_H_
	#define _XEQUE__1

    /***************************************************************************************************************************
	  int verifica_xeque ();
	  Descrio:
		- Identifica se algum rei esta em Xeque.
		- Primeiro parmentro do tipo "int" recebe a matriz das posies do tabuleiro.
		- Segundo parmentro do tipo "int" recebe a vez do jogador.
		- Terceiro parmentro do tipo "int" recebe o eixo x.
		- Quarto parmentro do tipo "int" recebe o eixo y.
		- Quinto parmentro do tipo "int" recebe a posicao atual do rei branco.
		- Sexo parmentro do tipo "int" recebe a posicao atual do rei preto.
		- Retorna a posio da movimento realizado
	*****************************************************************************************************************************/
	int verifica_xeque(int M[][8],int, int, int, int, int);
	 /***************************************************************************************************************************
	  float xeque_mate (int);
	  Descrio:
		- Identifica se houve Xeque Mate.
		- Primeiro parmentro do tipo "int" recebe a matriz das posies do tabuleiro.
		- Seguno parmentro do tipo "int" recebe a posicao atual da ameaa.
        - Terceiro parmentro do tipo "int" recebe a posicao atual do rei ameaado.
        - Quarto parmentro do tipo "int" recebe a posicao atual do rei branco.
        - Quinto parmentro do tipo "int" recebe a posicao atual do rei preto.
		- Retorna o valor da avaliao
	*****************************************************************************************************************************/
	int xeque_mate(int M[][8],int, int, int, int);
#endif /* _XEQUE_H_ */
